Fri Apr 11 11:11:29 2003  Rodolfo W. Zitellini <xhero@libero.it>

	* TagLibrary/GSMarkupTagTextView.m ([-platformObjectInit]): Added
	richText, usesFontPanel, allowsUndo, usesRuler, importsGraphics
	attributes.

Fri Apr 11 10:44:03 2003  Rodolfo W. Zitellini <xhero@libero.it>
	                  Nicola Pero <n.pero@mi.flashnet.it>
	
	* TagLibrary/GSMarkupTagScrollView.m ([-platformObjectInit]):
	Added borderType attribute.  Use no border by default on Apple Mac
	OS X.

Thu Apr  3 19:26:04 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagOutlineView.m: New file.
	* TagLibrary/GSMarkupTagOutlineView.h: New file.
	* TagLibrary/GNUmakefile: Added the new files.

Thu Apr  3 03:46:30 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagTableView.h: New file.
	* TagLibrary/GSMarkupTagTableView.m: New file.
	* TagLibrary/GNUmakefile: Added the new files.

Thu Apr  3 03:41:06 2003  David Wetzel <dave@turbocat.de>,
	                  Nicola Pero  <n.pero@mi.flashnet.it>,

	* TagLibrary/GSMarkupTagTableColumn.h: New file.
	* TagLibrary/GSMarkupTagTableColumn.m: New file.
	* TagLibrary/GNUmakefile: Added the new files.
	
Thu Apr  3 03:36:39 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagScrollView.m ([-platformObjectInit]):
	Explicitly require bezel border type on GNUstep since that is no
	longer the default.

Wed Apr  2 01:02:35 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/NSViewSize.m ([NSSplitView -sizeToFitContent]):
	New implementation computing size from subviews and dividers.

Mon Mar 31 19:42:18 2003  Pete French  <pete@twisted.org.uk>

	* TagLibrary/GSMarkupBrowser.h: New file.
	* TagLibrary/GSMarkupBrowser.m: New file.
	* TagLibrary/GNUmakefile: Added the new files.

Mon Mar 24 14:08:17 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagSecureTextField.h: New file.
	* TagLibrary/GSMarkupTagSecureTextField.m: New file.	
	* TagLibrary/GNUmakefile: Added the new files.

Wed Mar 19 04:03:00 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagSplitView.h: New file.
	* TagLibrary/GSMarkupTagSplitView.m: New file.
	* TagLibrary/GNUmakefile: Added the new files.

Wed Mar 19 04:00:38 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/GSAutoLayoutDefaults.m
	([NSSplitView -autolayoutDefaultHorizontalAlignment]): New method.
	([NSSplitView -autolayoutDefaultVerticalAlignment]): New method.
	* AutoLayout/NSViewSize.m ([NSSplitView -sizeToFitContent]): New
	method.

Thu Mar  6 00:38:44 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagMenu.m: Renamed predefined="font" to be
	type="font"; dropped old type="font" code.

Thu Feb 27 02:09:45 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagMenu.m: Recognize predefined="font" attribute,
	and create the menu as the font menu using the NSFontManager fontMenu: 
	API in that case.

Wed Feb  5 03:32:48 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/: All files: include local files using include "xxx",
	not include <xxx>.
	* Markup/: Same change.
	* TagLibrary/: Same change.

Fri Jan 31 05:15:26 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (VERSION): Version 0.7.0

Fri Jan 31 04:02:24 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	Warning: change in .gsmarkup format.  To create a submenu, you
	now embed directly a <menu> tag in another <menu> tag.
	* TagLibrary/GSMarkupTagMenu.m ([-platformObjectInit]): Manage
	<menu> tags in the content: silently create a NSMenuItem, and put
	the NSMenu from the <menu> inside it.
	* TagLibrary/GSMarkupTagMenuItem.m ([-platformObjectInit]): Emit a
	deprecation warning if a <menuItem> has a content.  But keep the
	old gsmarkup files working still for a while. :-)

Sun Jan 26 05:38:02 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupWindowController.m: Include GNUstep.h on
	Apple Mac OS X.
	* TagLibrary/GSMarkupDocument.m: Same change.

Tue Jan 21 00:57:51 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagPopUpButtonItem.m ([-platformObjectInit]):
	Recognize key attribute.

Sun Jan 19 23:02:42 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupBundleAdditions.h,
	Markup/GSMarkupBundleAdditions.m: Implemented sending a
	GSMarkupBundleDidLoadGSMarkup notification, with the top-level
	objects in the user info dictionary, after the file is loaded;
	automatically call the -bundleDidLoadGSMarkup: method of the file
	owner if it implements it.

Sun Jan 19 06:11:33 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupDocument.h: New file.
	* TagLibrary/GSMarkupDocument.m: New file.
	* TagLibrary/GSMarkupWindowController.h: New file.
	* TagLibrary/GSMarkupWindowController.m: New file.
	* TagLibrary/GNUmakefile: Added the new files.
	* Renaissance.h: Include GSMarkupDocument.h and
	GSMarkupWindowController.h.

Sat Jan 18 20:10:17 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagWindow.m ([-platformObjectInit]):
	Small code reorganization: read resizable flag before computing
	resizability from autolayout flags, avoiding the computation if
	not needed.

Fri Jan 17 05:05:47 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	Change in API: 'class' attribute renamed to 'instanceOf' to
	prevent possible confusion with CSS usage of the same attribute.
	* Markup/GSMarkupTagObject.h ([-useClassAttribute]): Renamed
	to useInstanceOfAttribute.
	* Markup/GSMarkupTagObject.m ([-useClassAttribute]): Renamed to
	useInstanceOfAttribute.  ([-platformObjectAlloc]): Use instanceOf
	attribute instead of class attribute; call useInstanceOfAttribute
	instead of useClassAttribute.
	* Markup/GSMarkupTagInstance.m ([-platformObjectAlloc]): Use
	instanceOf attribute instead of class attribute.
	* TagLibrary/GSMarkupTagWindow.m ([-useClassAttribute]): Renamed
	to useInstanceOfAttribute.
	* TagLibrary/GSMarkupTagView.m ([-useClassAttribute]): Renamed
	to useInstanceOfAttribute.
	
Tue Jan 14 00:47:39 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/DecoderBackend/GSMarkupDecoderBackendLibXML.m ([-parse]):
	Updated a little to set features, in particular the 'substitute
	entities' feature, so that &gt; and similar basic entities are
	automatically substituted.

Mon Jan 13 23:08:06 2003  Pete French  <pete@twisted.org.uk>
	
	* Markup/DecoderBackend/GSMarkupDecoderBackendLibXML.m: New file
	implementing a direct libxml2 based backend, for future use on
	OpenStep 4.x systems (adapted to new decoder backend organization
	by Nicola).

Mon Jan 13 23:08:06 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupDecoderBackend.h,
	* Markup/GSMarkupDecoderBackend.m: Rewritten to have a very
	general public API with no reference whatsoever to
	backend-specific implementation details.
	* Markup/DecoderBackend/: New directory.
	* Markup/DecoderBackend/GSMarkupDecoderBackendCFXML.m: New file,
	with CFXML code taken from GSMarkupDecoderBackend.m.
	* Markup/DecoderBackend/GSMarkupDecoderBackendGSXML.m: New file,
	with GSXML code taken from GSMarkupDecoderBackend.m.
	* Markup/GSMarkupDecoder.m ([-initWithData:]): Get the decoder
	backend using the new API.
	
Sun Jan 12 16:27:19 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (VERSION): Version 0.6.0.

Thu Jan  9 12:00:00 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagButton.m ([-platformObjectInit]): Manually
	fix font for buttons on Apple Mac OS X.  Use NSSquaredBezelStyle
	for buttons with images.
	* AutoLayout/GSAutoLayoutDefaults.m: Hack to roughly adjust
	borders of buttons on Apple Mac OS X.
	
Thu Jan  9 03:01:25 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Renaissance.h: Include GSAutoLayoutDefaults.h.	
	* AutoLayout/GSAutoLayoutDefaults.m ([NSView
	-setDisplayAutoLayoutContainers:]): New method.
	([NSWindow -setDisplayAutoLayoutContainers:]): New method.
	* AutoLayout/GSAutoLayoutDefaults.h: Declare and comment the new
	methods.
	* AutoLayout/GSHBox.h (_displayAutoLayoutContainers): New ivar.	
	* AutoLayout/GSVBox.h (_displayAutoLayoutContainers): New ivar.
	* AutoLayout/GSHBox.m ([-setDisplayAutoLayoutContainers:]):
	New method.  ([-drawRect:]): New method.
	* AutoLayout/GSVBox.m ([-setDisplayAutoLayoutContainers:]):
	New method.  ([-drawRect:]): New method.
	
Wed Jan  8 05:19:44 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagButton.m ([-platformObjectInit]): 
	On Apple Mac OS X, set bezel style / bordered to try match the
	default native look & feel.

Wed Jan  8 03:13:23 2003  Pete French <pete@twisted.org.uk>,
                          Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagButton.m ([-platformObjectInit]):
	Implemented type attribute.

Tue Jan  7 03:42:50 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile, Markup/GSMarkupDecoderBackend.h,
	TagLibrary/GSMarkupTagBox.m, TagLibrary/GSMarkupTagMenuItem.m:
	Replaced 'Apple OSX' with 'Mac OS X' in comments.

Tue Jan  7 03:38:03 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupBundleAdditions.m ([NSBundle
	+registerStaticObject:withName:]): Declare to prevent warnings on
	Apple.

Tue Jan  7 02:39:52 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	Fixed decoder so that it sends awakeFromGSMarkup to all platform
	objects created, plus on the NSOwner; not just to the top-level
	objects.
	* Markup/GSMarkupAwaker.h: New file.
	* Markup/GSMarkupAwaker.m: New file.
	* Markup/GNUmakefile.files: Added the new files.
	* Markup/GSMarkupBundleAdditions.m ([+loadGSMarkupData:withName:
	externalNameTable:withZone:localizableStringsTable:inBundle:
	tagMapping:]): Create an awaker, and use it to awake the objects.
	* Markup/GSMarkupTagObject.h (_awaker): New instance variable.
	([-setAwaker:], [-setPlatformObject:]): New methods.
	* Markup/GSMarkupTagObject.m: Implemented the new methods, and use
	them and the new instance variables in the existing ones.
	* Markup/GSMarkupTagInstance.m ([-platformObjectAlloc]): Use
	setPlatformObject: rather than assigning to _platformObject
	directly.
	* TagLibrary/GSMarkupTagBox.m: Everywhere, use setPlatformObject:
	rather than assigning to _platformObject directly.
	* TagLibrary/GSMarkupTagBoxSeparator.m: Same change.
	* TagLibrary/GSMarkupTagControl.m: Same change.
	* TagLibrary/GSMarkupTagHbox.m: Same change.
	* TagLibrary/GSMarkupTagMatrixCell.m: Same change.
	* TagLibrary/GSMarkupTagMatrixRow.m: Same change.
	* TagLibrary/GSMarkupTagMenu.m: Same change.
	* TagLibrary/GSMarkupTagMenuItem.m: Same change.
	* TagLibrary/GSMarkupTagMenuSeparator.m: Same change.
	* TagLibrary/GSMarkupTagScrollView.m: Same change.
	* TagLibrary/GSMarkupTagVbox.m: Same change.
	* TagLibrary/GSMarkupTagView.m: Same change.
	* TagLibrary/GSMarkupTagWindow.m: Same change.
	* TagLibrary/GSMarkupTagFormItem.h: Removed obsolete declaration
	of setPlatformObject:.
	* TagLibrary/GSMarkupTagPopUpButtonItem.h: Same change.
	* TagLibrary/GSMarkupTagFormItem.m: Removed obsolete implementation
	of setPlatformObject:.
	* TagLibrary/GSMarkupTagPopUpButtonItem.m: Same change.	
	
Tue Jan  7 01:25:45 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagForm.m ([-platformObjectInit]): Push the
	form item platform object into the form item, so that the form
	items can be connected via outlets.  Localize titles of form
	items.
	* TagLibrary/GSMarkupTagFormItem.m ([-setPlatformObject:]): New
	method.
	([+localizableAttributes]): New method.
	* TagLibrary/GSMarkupTagFormItem.h ([-setPlatformObject:]):
	Declare.
	
Mon Jan  6 02:58:53 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented class="Xxx" attribute for all view and window tags.
	* Markup/GSMarkupTagObject.m ([-platformObjectAlloc]): Modified to
	support, in the appropriate cases, a 'class="xxx"' attribute
	customizing the class used to allocate the instance.
	([+useClassAttribute]): New method.
	([+defaultPlatformObjectClass]): New method.
	* Markup/GSMarkupTagObject.h: Declared the new methods, and
	documented the new behaviour.
	* TagLibrary/GSMarkupTagBox.m ([+defaultPlatformObjectClass]): Added.
	([-platformObjectAlloc]): Removed.
	* TagLibrary/GSMarkupTagButton.m: Similar changes.
	* TagLibrary/GSMarkupTagColorWell.m: Similar changes.
	* TagLibrary/GSMarkupTagControl.m: Similar changes.
	* TagLibrary/GSMarkupTagForm.m: Similar changes.
	* TagLibrary/GSMarkupTagHbox.m: Similar changes.
	* TagLibrary/GSMarkupTagHspace.m: Similar changes.
	* TagLibrary/GSMarkupTagImage.m: Similar changes.
	* TagLibrary/GSMarkupTagLabel.m: Similar changes.	
	* TagLibrary/GSMarkupTagMatrix.m: Similar changes.
	* TagLibrary/GSMarkupTagMatrixCell.m: Similar changes.
	* TagLibrary/GSMarkupTagPanel.m: Similar changes.
	* TagLibrary/GSMarkupTagPopUpButton.m: Similar changes.
	* TagLibrary/GSMarkupTagScrollView.m: Similar changes.
	* TagLibrary/GSMarkupTagTextField.m: Similar changes.
	* TagLibrary/GSMarkupTagTextView.m: Similar changes.
	* TagLibrary/GSMarkupTagVbox.m: Similar changes.
	* TagLibrary/GSMarkupTagVspace.m: Similar changes.
	* TagLibrary/GSMarkupTagView.m: Similar changes.
	* TagLibrary/GSMarkupTagWindow.m: Similar changes.

	* TagLibrary/GSMarkupTagView.m ([+useClassAttribute]): Added,
	return YES.
	* TagLibrary/GSMarkupTagWindow.m ([+useClassAttribute]): Added,
	return YES.
	
Sun Jan  5 03:20:04 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupDecoder.m ([-processParsedTag:]): Ignore dots and
	everything following dots in ids.

Sun Jan  5 02:27:35 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	Implemented support for the syntax #NSApp.delegate in connectors
	and embedded outlets.
	* Markup/GSMarkupConnector.m ([GSMarkupConnector
	-getObjectForIdString:usingNameTable:]): New private method.
	([GSMarkupOutletConnector -establishConnectionUsingNameTable:]):
	Use the new method to look up ids.
	([GSMarkupControlConnector -establishConnectionUsingNameTable:]):
	Idem.

Sat Jan  4 04:34:38 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagPopUpButtonItem.m ([-setPlatformObject:]):
	Fixed memory bug.

Sat Jan  4 03:43:42 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupBundleAdditions.m: Implemented automatically
	adding NSApp with id NSApp to the name table if running with a
	GUI.

Fri Jan  3 04:19:11 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/NSViewSize.m ([NSImageView -sizeToFitContent]): Added
	a hack implementation of sizeToFitContent for NSImageView on Mac
	OS X.

Fri Jan  3 03:09:10 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagPopUpButtonItem.m: Sort of hackishly
	rewritten to store a platform object, so that outlets such as
	target can be used on it; added tag and action attributes.
	* TagLibrary/GSMarkupTagPopUpButtonItem.h: Corresponding update.
	* TagLibrary/GSMarkupTagPopUpButton.m ([-platformObjectInit]):
	Localize titles; updated code for new popup button items.

Fri Jan  3 02:32:07 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagControl.m: Removed editable and selectable
	attributes, added enabled attribute.
	* TagLibrary/GSMarkupTagImage.m: Added editable attribute.
	* TagLibrary/GSMarkupTagTextField.m: Added editable and selectable
	attributes.
	* TagLibrary/GSMarkupTagTextView.m: The same.

Fri Jan  3 00:29:11 2003  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagImage.m: New file.
	* TagLibrary/GSMarkupTagImage.h: New file.
	* TagLibrary/GNUmakefile: Added the new files.

Tue Dec 31 02:35:28 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile (VERSION): Version is now 0.5.0.

Mon Dec 30 17:34:36 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile: Use apple, not nx library-combo.

Sat Dec 28 01:10:37 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* TagLibrary/GSMarkupTagWindow.m ([-platformObjectInit]): Do not
	defer the window -- deferred windows are somewhat fragile on
	GNUstep -- better keep the code robust for now.

Fri Dec 27 18:26:30 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* Markup/GSMarkupDecoderBackend.m (GSMarkupCreateStructure): Copy
	the CFXML text of a node before using it.  Fixes weird decoding
	bugs on Apple OSX.

Fri Dec 27 18:00:11 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	Fixed processing comments, and implemented collapsing whitespaces,
	newlines and tabs in the HTML way.
	* Markup/GSMarkupDecoder.m ([NSString
	-stringByStrippingWhitespaces]): New auxiliary method.
	([GSMarkupTag -addStringToContent:]): New method.
	([GSMarkupTag -finalizeStrings]): New method.
	([GSMarkupDecoder +initialize]): New method.
	([GSMarkupDecoder -foundFreeString:name]): Use the new methods of
	GSMarkupTag; updated for changes.
	([GSMarkupDecoder -processParsedTag:]): Call finalizeStrings.
	* Markup/GSMarkupDecoderBackend.m: Do not trim manually the free
	strings when found.  That stage has been moved in the upper layer,
	the decoder, where it can be done more intelligently.
	
Fri Dec 27 16:32:17 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/GSHBox.m ([-sizeToFitContent]): Implemented.
	* AutoLayout/GSVBox.m ([-sizeToFitContent]): Implemented.
	
Fri Dec 27 16:28:56 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/GSHBox.m: For simplicity use int not unsigned int.
	* AutoLayout/GSVBox.m: Same change.
	
Fri Dec 27 16:25:32 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* AutoLayout/GSHBox.m ([-setHorizontalAlignment:forView:]):
	Recompute the _hExpand and _hWeakExpand flags properly.
	([-setVerticalAlignment:forView:]): The same for the _vExpand
	and _vWeakExpand flags.
	* AutoLayout/GSVBox.m: Same changes.
	
Thu Dec 26 04:59:01 2002  Nicola Pero  <n.pero@mi.flashnet.it>

	* GNUmakefile: New file - initial CVS import.
	* GNUstep.h: Idem.
	* Markup.h: Idem.
	* Renaissance.h: Idem.
	* AutoLayout/GNUmakefile: Idem.
	* AutoLayout/GNUmakefile.files: Idem.
	* AutoLayout/GNUmakefile.standalone: Idem.
	* AutoLayout/GSAutoLayoutDefaults.h: Idem.
	* AutoLayout/GSAutoLayoutDefaults.m: Idem.
	* AutoLayout/GSAutoLayoutManager.h: Idem.
	* AutoLayout/GSAutoLayoutManager.m: Idem.
	* AutoLayout/GSAutoLayoutManagerPrivate.h: Idem.
	* AutoLayout/GSAutoLayoutProportionalManager.h: Idem.
	* AutoLayout/GSAutoLayoutProportionalManager.m: Idem.
	* AutoLayout/GSAutoLayoutStandardManager.h: Idem.
	* AutoLayout/GSAutoLayoutStandardManager.m: Idem.
	* AutoLayout/GSBox.h: Idem.
	* AutoLayout/GSHBox.h: Idem.
	* AutoLayout/GSHBox.m: Idem.
	* AutoLayout/GSHSpace.h: Idem.
	* AutoLayout/GSHSpace.m: Idem.
	* AutoLayout/GSVBox.h: Idem.
	* AutoLayout/GSVBox.m: Idem.
	* AutoLayout/GSVSpace.h: Idem.
	* AutoLayout/GSVSpace.m: Idem.
	* AutoLayout/NSViewSize.h: Idem.
	* AutoLayout/NSViewSize.m: Idem.
	* AutoLayout/README: Idem.
	* Markup/GNUmakefile: Idem.
	* Markup/GNUmakefile.files: Idem.
	* Markup/GNUmakefile.standalone: Idem.
	* Markup/GSMarkupBundleAdditions.h: Idem.
	* Markup/GSMarkupBundleAdditions.m: Idem.
	* Markup/GSMarkupCoder.h: Idem.
	* Markup/GSMarkupCoder.m: Idem.
	* Markup/GSMarkupCoding.h: Idem.
	* Markup/GSMarkupConnector.h: Idem.
	* Markup/GSMarkupConnector.m: Idem.
	* Markup/GSMarkupDecoder.h: Idem.
	* Markup/GSMarkupDecoder.m: Idem.
	* Markup/GSMarkupDecoderBackend.h: Idem.
	* Markup/GSMarkupDecoderBackend.m: Idem.
	* Markup/GSMarkupLocalizer.h: Idem.
	* Markup/GSMarkupLocalizer.m: Idem.
	* Markup/GSMarkupTagInstance.h: Idem.
	* Markup/GSMarkupTagInstance.m: Idem.
	* Markup/GSMarkupTagObject.h: Idem.
	* Markup/GSMarkupTagObject.m: Idem.
	* TagLibrary/GNUmakefile: Idem.
	* TagLibrary/GSMarkupTagBox.h: Idem.
	* TagLibrary/GSMarkupTagBox.m: Idem.
	* TagLibrary/GSMarkupTagBoxSeparator.h: Idem.
	* TagLibrary/GSMarkupTagBoxSeparator.m: Idem.
	* TagLibrary/GSMarkupTagButton.h: Idem.
	* TagLibrary/GSMarkupTagButton.m: Idem.
	* TagLibrary/GSMarkupTagColorWell.h: Idem.
	* TagLibrary/GSMarkupTagColorWell.m: Idem.
	* TagLibrary/GSMarkupTagControl.h: Idem.
	* TagLibrary/GSMarkupTagControl.m: Idem.
	* TagLibrary/GSMarkupTagForm.h: Idem.
	* TagLibrary/GSMarkupTagForm.m: Idem.
	* TagLibrary/GSMarkupTagFormItem.h: Idem.
	* TagLibrary/GSMarkupTagFormItem.m: Idem.
	* TagLibrary/GSMarkupTagHbox.h: Idem.
	* TagLibrary/GSMarkupTagHbox.m: Idem.
	* TagLibrary/GSMarkupTagHspace.h: Idem.
	* TagLibrary/GSMarkupTagHspace.m: Idem.
	* TagLibrary/GSMarkupTagLabel.h: Idem.
	* TagLibrary/GSMarkupTagLabel.m: Idem.
	* TagLibrary/GSMarkupTagMatrix.h: Idem.
	* TagLibrary/GSMarkupTagMatrix.m: Idem.
	* TagLibrary/GSMarkupTagMatrixCell.h: Idem.
	* TagLibrary/GSMarkupTagMatrixCell.m: Idem.
	* TagLibrary/GSMarkupTagMatrixRow.h: Idem.
	* TagLibrary/GSMarkupTagMatrixRow.m: Idem.
	* TagLibrary/GSMarkupTagMenu.h: Idem.
	* TagLibrary/GSMarkupTagMenu.m: Idem.
	* TagLibrary/GSMarkupTagMenuItem.h: Idem.
	* TagLibrary/GSMarkupTagMenuItem.m: Idem.
	* TagLibrary/GSMarkupTagMenuSeparator.h: Idem.
	* TagLibrary/GSMarkupTagMenuSeparator.m: Idem.
	* TagLibrary/GSMarkupTagObjectAdditions.h: Idem.
	* TagLibrary/GSMarkupTagObjectAdditions.m: Idem.
	* TagLibrary/GSMarkupTagPanel.h: Idem.
	* TagLibrary/GSMarkupTagPanel.m: Idem.
	* TagLibrary/GSMarkupTagPopUpButton.h: Idem.
	* TagLibrary/GSMarkupTagPopUpButton.m: Idem.
	* TagLibrary/GSMarkupTagPopUpButtonItem.h: Idem.
	* TagLibrary/GSMarkupTagPopUpButtonItem.m: Idem.
	* TagLibrary/GSMarkupTagScrollView.h: Idem.
	* TagLibrary/GSMarkupTagScrollView.m: Idem.
	* TagLibrary/GSMarkupTagTextField.h: Idem.
	* TagLibrary/GSMarkupTagTextField.m: Idem.
	* TagLibrary/GSMarkupTagTextView.h: Idem.
	* TagLibrary/GSMarkupTagTextView.m: Idem.
	* TagLibrary/GSMarkupTagVbox.h: Idem.
	* TagLibrary/GSMarkupTagVbox.m: Idem.
	* TagLibrary/GSMarkupTagView.h: Idem.
	* TagLibrary/GSMarkupTagView.m: Idem.
	* TagLibrary/GSMarkupTagVspace.h: Idem.
	* TagLibrary/GSMarkupTagVspace.m: Idem.
	* TagLibrary/GSMarkupTagWindow.h: Idem.
	* TagLibrary/GSMarkupTagWindow.m: Idem.
	